package com.ruoyi.protocol.service;

import com.ruoyi.board.domain.BoardInfo;
import com.ruoyi.board.domain.PresetContent;

import java.util.List;

public interface IProtocolService {

    boolean protocolSupport(String protocolName);

    void loginDevice(BoardInfo boardInfo);

    void logoutDevice();

    void publishContent(BoardInfo boardInfo, List<PresetContent> presetContentList);

    default void publishInformation(BoardInfo boardInfo, List<PresetContent> presetContentList){
        // 登录
        loginDevice(boardInfo);
        // 发布
        publishContent(boardInfo, presetContentList);
        // 登出
        logoutDevice();
    };




}
