import request from '@/utils/request'

// 查询发布源白名单列表
export function listWhiteIp(query) {
  return request({
    url: '/board/whiteIp/list',
    method: 'get',
    params: query
  })
}

// 查询发布源白名单详细
export function getWhiteIp(id) {
  return request({
    url: '/board/whiteIp/' + id,
    method: 'get'
  })
}

// 新增发布源白名单
export function addWhiteIp(data) {
  return request({
    url: '/board/whiteIp',
    method: 'post',
    data: data
  })
}

// 修改发布源白名单
export function updateWhiteIp(data) {
  return request({
    url: '/board/whiteIp',
    method: 'put',
    data: data
  })
}

// 删除发布源白名单
export function delWhiteIp(id) {
  return request({
    url: '/board/whiteIp/' + id,
    method: 'delete'
  })
}
