package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 发布源白名单
 */
@Data
@TableName(value = "pub_white_ip")
public class PubWhiteIp {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 名称
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * IP地址
     */
    @TableField(value = "ip")
    private String ip;

    /**
     * 安全密钥
     */
    @TableField(value = "security_key")
    private String securityKey;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;
}